Lots of script-driven apps, especially paid cms, encrypt their files to ensure that they won't be reverse engineered or tampered with. Most of them use an app called ionCube PHP Encoder to do this, so when you buy a paid script and you intend to install it in a web hosting account, a software instrument known as ionCube Loader must be present on the server. Without having it, you won't be able to install the script or if you somehow find a way to do that, it will not work appropriately because almost all of the script code will be encrypted to a point where it can't be interpreted. That is why, you need to ensure that ionCube Loader is installed if you get a new hosting account and you would like to take advantage of some paid web app. If you obtain a shared web hosting account and the tool is not present, it can't be added because the entire server PHP environment will have to be compiled again.

IonCube in Shared Hosting

IonCube Loader is installed on all web servers which are part of our cloud hosting platform, which means that regardless of the Linux shared service that you choose during the signup process, you can enable it from the Hepsia Control Panel. This process is as simple as clicking an On/Off button in the Advanced section, so even if this is your first website hosting account ever, you won't have to do anything complicated. The very same section enables you to choose the PHP release for your account (4, 5.2, 5.3, 5.4, 5.5), and if you would like to move to another version, you just have to activate ionCube Loader for it as well. Since our platform is quite flexible, you can set another PHP version and a different status of ionCube using a php.ini file in every domain folder. If this is something you want to do but you don't have much experience, our 24/7 technical support team shall assist you very quickly.

IonCube in Semi-dedicated Servers

In case you aquire a semi-dedicated server package from our company, you can take advantage of any kind of script-driven application which requires ionCube Loader since the tool is installed on all of the servers that are a part of our revolutionary cloud website hosting platform. In addition, we support different versions of PHP, so if you move from PHP 4 to 5.2 or 5.3, for example, you can enable ionCube for that particular release with only a click in your Hepsia Control Panel. Our system will remember your choice, so in case you move back to the previous release of PHP, the tool will already be active. For more experienced users, we also provide the option to pick the PHP version and whether ionCube will be active or not for a specific domain without altering the settings for the whole web hosting account. This can be done by placing a php.ini file inside a domain folder with several lines of code.